public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
From: "Michael D Kinney" <michael.d.kinney@intel.com>
To: devel@edk2.groups.io
Cc: Gary Lin <glin@suse.com>, Zailiang Sun <zailiang.sun@intel.com>,
	Yi Qian <yi.qian@intel.com>
Subject: [edk2-platforms Patch 06/28] Vlv2TbltDevicePkg/bld_vlv.sh: Update the script to fit edk2-platforms
Date: Wed, 10 Jul 2019 12:04:54 -0700	[thread overview]
Message-ID: <20190710190516.6012-7-michael.d.kinney@intel.com> (raw)
In-Reply-To: <20190710190516.6012-1-michael.d.kinney@intel.com>

From: Gary Lin <glin@suse.com>

* Add "set -e" to exit immediately on error

* Update the paths to fit the directory changes

  WORKSPACE
        +------edk2 (CORE)
        |
        +------edk2-platforms
        |       |
        |       +---Platform
        |       |    |
        |       |    +---Intel
        |       |         |
        |       |         +---Vlv2TbltDevicePkg (PLATFORM)
        |       |
        |       +---Silicon
        |            |
        |            +---Intel
        |                 |
        |                 +---Vlv2DeviceRefCodePkg (SILICON)
        |
        +------edk2-non-osi
                |
                +---Silicon
                     |
                     +---Intel
                          |
                          +---Vlv2SocBinPkg (BINARY)

* Sync a part of bld_vlv.sh from the devel-MinnowBoardMax-UDK2017 branch
  to enable capsule building

* Export TARGET and TOOL_CHAIN_TAG so that the GenerateCapsule scripts
  can use those variables

Cc: Zailiang Sun <zailiang.sun@intel.com>
Cc: Yi Qian <yi.qian@intel.com>
Cc: Michael D Kinney <michael.d.kinney@intel.com>
Signed-off-by: Gary Lin <glin@suse.com>
---
 Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh | 57 ++++++++++++---------
 1 file changed, 33 insertions(+), 24 deletions(-)

diff --git a/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh b/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
index 27772f47de..0aa1edfb22 100755
--- a/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
+++ b/Platform/Intel/Vlv2TbltDevicePkg/bld_vlv.sh
@@ -7,7 +7,7 @@ function Usage() {
   echo "***************************************************************************"
   echo "Build BIOS rom for VLV platforms."
   echo
-  echo "Usage: bld_vlv.bat  PlatformType [Build Target]"
+  echo "Usage: bld_vlv.sh  PlatformType [Build Target]"
   echo
   echo
   echo "       Platform Types:  MNW2"
@@ -19,44 +19,52 @@ function Usage() {
   exit 0
 }
 
+set -e
 
+cd ..
 echo -e $(date)
 ##**********************************************************************
 ## Initial Setup
 ##**********************************************************************
-#WORKSPACE=$(pwd)
+export WORKSPACE=$(pwd)
 #build_threads=($NUMBER_OF_PROCESSORS)+1
 Build_Flags=
 exitCode=0
 Arch=X64
 SpiLock=0
 
+export CORE_PATH=$WORKSPACE/edk2
+export PLATFORM_PATH=$WORKSPACE/edk2-platforms/Platform/Intel/
+export SILICON_PATH=$WORKSPACE/edk2-platforms/Silicon/Intel/
+export BINARY_PATH=$WORKSPACE/edk2-non-osi/Silicon/Intel/
+export PACKAGES_PATH=$PLATFORM_PATH:$SILICON_PATH:$BINARY_PATH:$CORE_PATH
+cd ./edk2
+
 ## Clean up previous build files.
-if [ -e $(pwd)/EDK2.log ]; then
-  rm $(pwd)/EDK2.log
+if [ -e $CORE_PATH/EDK2.log ]; then
+  rm $CORE_PATH/EDK2.log
 fi
 
-if [ -e $(pwd)/Unitool.log ]; then
-  rm $(pwd)/Unitool.log
+if [ -e $CORE_PATH/Unitool.log ]; then
+  rm $CORE_PATH/Unitool.log
 fi
 
-if [ -e $(pwd)/Conf/target.txt ]; then
-  rm $(pwd)/Conf/target.txt
+if [ -e $CORE_PATH/Conf/target.txt ]; then
+  rm $CORE_PATH/Conf/target.txt
 fi
 
-if [ -e $(pwd)/Conf/BiosId.env ]; then
-  rm $(pwd)/Conf/BiosId.env
+if [ -e $CORE_PATH/Conf/BiosId.env ]; then
+  rm $CORE_PATH/Conf/BiosId.env
 fi
 
-if [ -e $(pwd)/Conf/tools_def.txt ]; then
-  rm $(pwd)/Conf/tools_def.txt
+if [ -e $CORE_PATH/Conf/tools_def.txt ]; then
+  rm $CORE_PATH/Conf/tools_def.txt
 fi
 
-if [ -e $(pwd)/Conf/build_rule.txt ]; then
-  rm $(pwd)/Conf/build_rule.txt
+if [ -e $CORE_PATH/Conf/build_rule.txt ]; then
+  rm $CORE_PATH/Conf/build_rule.txt
 fi
 
-
 ## Setup EDK environment. Edksetup puts new copies of target.txt, tools_def.txt, build_rule.txt in WorkSpace\Conf
 ## Also run edksetup as soon as possible to avoid it from changing environment variables we're overriding
 . edksetup.sh BaseTools
@@ -64,8 +72,9 @@ make -C BaseTools
 
 ## Define platform specific environment variables.
 PLATFORM_PACKAGE=Vlv2TbltDevicePkg
-config_file=$WORKSPACE/$PLATFORM_PACKAGE/PlatformPkgConfig.dsc
-auto_config_inc=$WORKSPACE/$PLATFORM_PACKAGE/AutoPlatformCFG.txt
+PLATFORM_PKG_PATH=$PLATFORM_PATH/$PLATFORM_PACKAGE
+config_file=$PLATFORM_PKG_PATH/PlatformPkgConfig.dsc
+auto_config_inc=$PLATFORM_PKG_PATH/AutoPlatformCFG.txt
 
 ## create new AutoPlatformCFG.txt file
 if [ -f "$auto_config_inc" ]; then
@@ -112,10 +121,10 @@ fi
 
 ## Remove the values for Platform_Type and Build_Target from BiosIdX.env and stage in Conf
 if [ $Arch == "IA32" ]; then
-  cp $PLATFORM_PACKAGE/BiosIdR.env    Conf/BiosId.env
+  cp $PLATFORM_PKG_PATH/BiosIdR.env Conf/BiosId.env
   echo DEFINE X64_CONFIG = FALSE      >> $auto_config_inc
 else
-  cp $PLATFORM_PACKAGE/BiosIdx64R.env  Conf/BiosId.env
+  cp $PLATFORM_PKG_PATH/BiosIdx64R.env Conf/BiosId.env
   echo DEFINE X64_CONFIG = TRUE       >> $auto_config_inc
 fi
 sed -i '/^BOARD_ID/d' Conf/BiosId.env
@@ -142,11 +151,11 @@ fi
 Platform_Type=$1
 
 if [ "$(echo $2 | tr 'a-z' 'A-Z')" == "RELEASE" ]; then
-  TARGET=RELEASE
+  export TARGET=RELEASE
   BUILD_TYPE=R
   echo BUILD_TYPE = R >> Conf/BiosId.env
 else
-  TARGET=DEBUG
+  export TARGET=DEBUG
   BUILD_TYPE=D
   echo BUILD_TYPE = D >> Conf/BiosId.env
 fi
@@ -157,7 +166,7 @@ fi
 ##**********************************************************************
 echo "Ensuring correct build directory is present for GenBiosId..."
 
-echo Modifing Conf files for this build...
+echo Modifying Conf files for this build...
 ## Remove lines with these tags from target.txt
 sed -i '/^ACTIVE_PLATFORM/d' Conf/target.txt
 sed -i '/^TARGET /d' Conf/target.txt
@@ -182,8 +191,8 @@ case $gcc_version in
         ;;
 esac
 
-ACTIVE_PLATFORM=$PLATFORM_PACKAGE/PlatformPkgGcc"$Arch".dsc
-TOOL_CHAIN_TAG=$TARGET_TOOLS
+ACTIVE_PLATFORM=$PLATFORM_PKG_PATH/PlatformPkgGcc"$Arch".dsc
+export TOOL_CHAIN_TAG=$TARGET_TOOLS
 MAX_CONCURRENT_THREAD_NUMBER=1
 echo ACTIVE_PLATFORM = $ACTIVE_PLATFORM                           >> Conf/target.txt
 echo TARGET          = $TARGET                                    >> Conf/target.txt
-- 
2.21.0.windows.1


  parent reply	other threads:[~2019-07-10 19:05 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-10 19:04 [edk2-platforms Patch 00/28] Vlv2TbltDevicePkg: Fix Linux build issues Michael D Kinney
2019-07-10 19:04 ` [edk2-platforms Patch 01/28] Vlv2TbltDevicePkg/Build_IFWI.sh: Add "set -e" to exit on error Michael D Kinney
2019-07-11  4:46   ` Sun, Zailiang
2019-07-12  2:59   ` [edk2-devel] " rebecca
2019-07-10 19:04 ` [edk2-platforms Patch 02/28] Vlv2TbltDevicePkg/Build_IFWI.sh: Change the root directory path Michael D Kinney
2019-07-11  4:47   ` Sun, Zailiang
2019-07-12  3:03   ` [edk2-devel] " rebecca
2019-07-12 16:23     ` Michael D Kinney
2019-07-12 16:32       ` rebecca
2019-07-10 19:04 ` [edk2-platforms Patch 03/28] Vlv2TbltDevicePkg/bld_vlv.sh: Fix the log name Michael D Kinney
2019-07-11  4:47   ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 04/28] Vlv2TbltDevicePkg/bld_vlv.sh: Update the gcc version detection Michael D Kinney
2019-07-11  4:47   ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 05/28] Vlv2TbltDevicePkg/bld_vlv.sh: Remove ECP completely Michael D Kinney
2019-07-11  4:47   ` Sun, Zailiang
2019-07-10 19:04 ` Michael D Kinney [this message]
2019-07-11  4:48   ` [edk2-platforms Patch 06/28] Vlv2TbltDevicePkg/bld_vlv.sh: Update the script to fit edk2-platforms Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 07/28] Vlv2TbltDevicePkg: Add the missing headers to inf files Michael D Kinney
2019-07-11  4:48   ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 08/28] Vlv2TbltDevicePkg/bld_vlv.sh: Remove BiosId.env completely Michael D Kinney
2019-07-11  4:48   ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 09/28] Vlv2TbltDevicePkg/bld_vlv.sh: Correct the path to PlatformCapsuleGcc.dsc Michael D Kinney
2019-07-11  4:48   ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 10/28] Vlv2TbltDevicePkg/bld_vlv.sh: Create Vlv.ROM Michael D Kinney
2019-07-11  4:52   ` Sun, Zailiang
2019-07-11  6:08     ` [edk2-devel] " Gary Lin
2019-07-12 23:42       ` Michael D Kinney
2019-07-13  4:17         ` Sun, Zailiang
2019-07-10 19:04 ` [edk2-platforms Patch 11/28] Vlv2TbltDevicePkg/GenerateCapsule: Fix the bash scripts Michael D Kinney
2019-07-12  2:37   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 12/28] Vlv2TbltDevicePkg/AcpiPlatform: Remove a unused variable Michael D Kinney
2019-07-12  2:37   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 13/28] Vlv2TbltDevicePkg/AcpiPlatform: Fix the error from InstallAcpiTable Michael D Kinney
2019-07-12  2:37   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 14/28] Vlv2TbltDevicePkg/SmBiosMiscDxe: Fix the indentation Michael D Kinney
2019-07-12  2:37   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 15/28] Vlv2TbltDevicePkg: Import SD/MMC drivers Michael D Kinney
2019-07-12  2:37   ` [edk2-devel] " Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 16/28] Vlv2TbltDevicePkg: Update Linux build scripts Michael D Kinney
2019-07-11  4:55   ` [edk2-devel] " Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 17/28] Vlvt2TbltDevicePkg: Fix NULL pointer access in SmbiosMiscDxe Michael D Kinney
2019-07-11  4:53   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 18/28] Vlv2TbltDevicePkg/Build_IFWI.sh: Check the WORKSPACE env variable Michael D Kinney
2019-07-12  2:37   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 19/28] Vlv2DeviceRefCodePkg: Remove redundant gEfiSpiProtocolGuid Michael D Kinney
2019-07-11  4:53   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 20/28] Vlv2TbltDevicePkg: " Michael D Kinney
2019-07-11  4:53   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 21/28] Vlv2TbltDevicePkg: Re-enable BIOS ID feature Michael D Kinney
2019-07-11  4:54   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 22/28] Vlv2TbltDevicePkg: Add GCC IA32 build support Michael D Kinney
2019-07-11  4:54   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 23/28] Vlv2TbltDevicePkg: Import TlsLib for HTTPS Boot Michael D Kinney
2019-07-12  2:38   ` [edk2-devel] " Sun, Zailiang
2019-07-12  3:34   ` rebecca
2019-07-10 19:05 ` [edk2-platforms Patch 24/28] Vlv2TbltDevicePkg: Reorganize the libraries Michael D Kinney
2019-07-12  2:38   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 25/28] Vlv2DeviceRefCodePlg/AcpiTablesPCAT: Fix ASL error Michael D Kinney
2019-07-11  4:54   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 26/28] Vlv2TbltDevicePkg: Clean up all build scripts Michael D Kinney
2019-07-11  4:55   ` Sun, Zailiang
2019-07-12  3:39   ` [edk2-devel] " rebecca
2019-07-12 18:16     ` Michael D Kinney
2019-07-10 19:05 ` [edk2-platforms Patch 27/28] Vlv2TbltDevicePkg: Only build capsules for X64 Michael D Kinney
2019-07-11  4:55   ` Sun, Zailiang
2019-07-10 19:05 ` [edk2-platforms Patch 28/28] Vlv2TbltDevicePkg: Update Readme.md for multiple repos Michael D Kinney
2019-07-11  4:55   ` Sun, Zailiang
2019-07-12  2:38 ` [edk2-platforms Patch 00/28] Vlv2TbltDevicePkg: Fix Linux build issues Sun, Zailiang
2019-07-13  0:18 ` [edk2-devel] " Michael D Kinney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-list from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190710190516.6012-7-michael.d.kinney@intel.com \
    --to=devel@edk2.groups.io \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox